//
//  PreferencesKey.swift
//  forShip
//
//  Created by Mamoru Sugita on 2023/10/16.
//


///@AppStorageのキーに使用
///@AppStarage(PreferencesKey.〇〇.rawValue)
class PreferencesKey{
    
    ///String型
    enum TypeString: String{
        case Id
        case Password
        case UserName
        case DeviceId
        case Expiry

        //Manual類Version
        case ECDISBasic
        case ECDISFunction
        case RADARBasic
        case RADARFunction
        case AIS
        case InmalsatC
        case InternationalVHF
        case VDR
    }
    
    ///Int型
    enum TypeInt: String{
        case shipId
        case LocationType
        case AppStartUsingDate
        case LastLoginDate
        case TermsAgreeDate
        case PrivacyPolicyAgreeDate
    }
    
}

